
From: Vojtech Pavlik <vojtech@suse.cz>

input: Fix fast scrolling scancodes in atkbd.c
  
Signed-off-by: Vojtech Pavlik <vojtech@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/input/keyboard/atkbd.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/input/keyboard/atkbd.c~input-fix-fast-scrolling-scancodes-in-atkbdc drivers/input/keyboard/atkbd.c
--- 25/drivers/input/keyboard/atkbd.c~input-fix-fast-scrolling-scancodes-in-atkbdc	2005-03-18 02:04:53.000000000 -0800
+++ 25-akpm/drivers/input/keyboard/atkbd.c	2005-03-18 02:04:53.000000000 -0800
@@ -171,9 +171,9 @@ static struct {
 	unsigned char set2;
 } atkbd_scroll_keys[] = {
 	{ ATKBD_SCR_1,     0xc5 },
-	{ ATKBD_SCR_2,     0xa9 },
-	{ ATKBD_SCR_4,     0xb6 },
-	{ ATKBD_SCR_8,     0xa7 },
+	{ ATKBD_SCR_2,     0x9d },
+	{ ATKBD_SCR_4,     0xa4 },
+	{ ATKBD_SCR_8,     0x9b },
 	{ ATKBD_SCR_CLICK, 0xe0 },
 	{ ATKBD_SCR_LEFT,  0xcb },
 	{ ATKBD_SCR_RIGHT, 0xd2 },
_
